Subject: Learning OSPF

From: Shanthi Karthik <[email-masked]>
Date: Sun, 6 Apr 2003 10:45:25 -0700

Hello:

I am sorry if this is a beginner's question. But is
there any way in OSPF to establish an adjacency to a
router, but  to receieve no data traffic from [or send
data to] that router under any circumstances ? I
realize you can set the cost to your links very high,
but that is only a discouragement, as far as I can
tell.

Illusrtation: R1 <---- link1 ----- > R2

R1 wants to establish adjacency to R2, but wants to
receive [and send] no data traffic from R2. I
understand R 1 and R2 will have to exchange routing
traffic.

Thanks for your patience and answers.

-Shalini

__________________________________________________
Do you Yahoo!?
Yahoo! Tax Center - File online, calculators, forms, and more
http://tax.yahoo.com

---

From: David Lemon <[email-masked]>
Date: Sun, 6 Apr 2003 14:33:56 -0400

If I understand your question correctly; you can set the interface to be
passive.  So R1 will TX ospf data, but not RX any ospf data from R2.  It
pretty much disregards ospf data coming from R2.

---

From: Alok Dube <[email-masked]>
Date: Mon, 7 Apr 2003 01:32:11 +0530

> data to] that router under any circumstances ?

passive would send data, but not establish adjacency.......

i guess u want to establish adjacency but not send "data"...correct?

---

From: Yasuhiro Ohara <[email-masked]>
Date: Mon, 7 Apr 2003 05:34:05 +0900

Hi,

What you want to get is the natural behavior of OSPF if R1 have
only one OSPF-enabled interface.

Let me change slightly your illustration:

              |
      R1      R2
      |       |
    --+---+---+--
          |
          R3
          |

In above, the data traffic will go through from lower of R3 to
upper of R2 and vice versa, even if adjacencies (OSPF protocol exchange
channel) had been formed between all the 3 routers.

The data traffic won't be lead to R1 except the data bound to R1 itself.
OSPF knows that the R1 will be a dead-end, wrong direction for other
traffics than to R1 itself, and so don't route them to R1.

Am I missing your point ?

regards,
yasu

From: Shanthi Karthik <[email-masked]>
Subject: Learning OSPF
Date: Sun, 6 Apr 2003 10:45:25 -0700

---

From: Fred Baker <[email-masked]>
Date: Sun, 6 Apr 2003 22:59:10 -0700

This is a test.

---

From: Shanthi Karthik <[email-masked]>
Date: Tue, 8 Apr 2003 02:46:52 -0700

Hello Yasu:

Thanks to you and all others for your answers.

Yes, you are pretty close to answering my question.
Also your illustration is a much better one.

If you could just extend your picture to R1, R2, and
R3 being fully meshed [triangle], R1 wants to
establish adjacencies with R2 and R3. However if the
link between R2 and R3 fails, R1 DOES not want data
traffic from R2 to R3 to pass thorough R1. Will
setting the link cost to   0xffff prevent data traffic
to be routed through R1 ?

Thanks !

-Shalini

---

From: Yasuhiro Ohara <[email-masked]>
Date: Wed, 9 Apr 2003 03:51:08 +0900

Hi Shanthi,

> traffic from R2 to R3 to pass thorough R1.

Now I understand. You're correct, If the configuration is
triangle and if R2-R3 link become down, R1 will actually
get the data traffic to pass through.

> Will setting the link cost to   0xffff prevent data traffic

Should be, but it may be somewhat implementation dependent I guess,
because all the specification mentions explicitly regarding to LSInfinity
is about the handling of the Summary/AS-External LSAs.

I think it's pretty possible and it's reasonable that an implementation
treat an intra-area route having cost LSInfinity as unreachable.

Needs someone's follow ... ;p)

# Shanthi, LSInfinity is 0xffffff, not 0xffff, you know.

regards,
yasu

---

From: Acee Lindem <[email-masked]>
Date: Tue, 8 Apr 2003 15:25:58 -0400

> Needs someone's follow ... ;p)

Yasu,

I guess section 16.1 of RFC 2328 doesn't explicitly state that
LSInfinity constitutes unreachability. However, I also think it
is reasonable (and probable) that an implementation treats it as such.

As for Shanthi's original question, there is no way to guarentee
that a router with more than one active OSPF interface is not used
for transit traffic. OSPFv3 has this capability. If your implementation
supports multiple instances, you could configure each interface in
a separate instance.

Thanks,
Acee

--
Acee